<?php

namespace App\DataFixtures;

use App\Entity\Etablissement;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Persistence\ObjectManager;


class AppFixtures extends Fixture
{
    public function load(ObjectManager $manager)
    {
        $Json = file_get_contents("donnes.json");
        $result = array_values(json_decode($Json, true));

        for ($i = 0; $i < count($result); $i++) {
            if(isset($result[$i]['fields']['patronyme_uai']) && isset($result[$i]['fields']['denomination_principale']) && isset($result[$i]['fields']['secteur_public_prive_libe']) && isset($result[$i]['fields']['latitude']) && isset($result[$i]['fields']['longitude']) && isset($result[$i]['fields']['adresse_uai']) && isset($result[$i]['fields']['libelle_departement']) && isset($result[$i]['fields']['localite_acheminement_uai']) && isset($result[$i]['fields']['libelle_region']) && isset($result[$i]['fields']['libelle_academie']) && isset($result[$i]['fields']['date_ouverture'])) {
                $etablissement = new Etablissement();
                $etablissement->setNom($result[$i]['fields']['patronyme_uai']);
                $etablissement->setDenominationprincipale($result[$i]['fields']['denomination_principale']);
                $etablissement->setSecteur($result[$i]['fields']['secteur_public_prive_libe']);
                $etablissement->setLatitude($result[$i]['fields']['latitude']);
                $etablissement->setLongitude($result[$i]['fields']['longitude']);
                $etablissement->setAdresse($result[$i]['fields']['adresse_uai']);
                $etablissement->setDepartement($result[$i]['fields']['libelle_departement']);
                $etablissement->setCommune($result[$i]['fields']['localite_acheminement_uai']);
                $etablissement->setRegion($result[$i]['fields']['libelle_region']);
                $etablissement->setAcademie($result[$i]['fields']['libelle_academie']);
                $etablissement->setDateOuverture($result[$i]['fields']['date_ouverture']);

                $manager->persist($etablissement);
            }
        }
        $manager->flush();
    }
}

